## com.baidubce.services.bos
Class BosObjectInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              com.baidubce.services.bos.BosObjectInputStream

All Implemented Interfaces:
  Closeable

    public class BosObjectInputStream

extends FilterInputStream

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`BosObjectInputStream(InputStream in, org.apache.http.client.methods.CloseableHttpResponse httpResponse)`

Method Summary
`void` `close()`

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BosObjectInputStream

    public BosObjectInputStream(InputStream in,
                                org.apache.http.client.methods.CloseableHttpResponse httpResponse)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `FilterInputStream`
  Throws:
    `IOException`

Copyright © 2016. All rights reserved.